Esempio n. 1
0
 /// <summary>
 /// Construct a cover
 /// </summary>
 /// <param name="region">Region of cover.</param>
 /// <param name="supportingStructures">Guidlist of supporting structure.</param>
 /// <param name="loadBearingDirection">Vector, if null a TwoWay cover is defined.</param>
 public Cover(Geometry.Region region, CoverReferenceList supportingStructures, Geometry.FdVector3d loadBearingDirection, string identifier)
 {
     this.EntityCreated();
     this.Identifier           = identifier;
     this.Region               = region;
     this.SupportingStructures = supportingStructures;
     this.LoadBearingDirection = loadBearingDirection;
 }
Esempio n. 2
0
        public static Cover TwoWayCover(Autodesk.DesignScript.Geometry.Surface surface, [DefaultArgument("[]")] List <object> supportingStructures, string identifier = "CO")
        {
            // create FlatSurface
            Geometry.Region region = Geometry.Region.FromDynamo(surface);

            // return
            return(Cover.TwoWayCover(region, supportingStructures, identifier));
        }
Esempio n. 3
0
        /// <summary>
        /// Construct InternalPanel
        /// </summary>
        /// <param name="region">Region. Edges can have EdgeConnections.</param>
        public InternalPanel(Geometry.Region region)
        {
            // set guid
            this.Guid = System.Guid.NewGuid();

            // set other properties
            this.Region = region;
        }
Esempio n. 4
0
        /// <summary>
        /// Construct InternalPanel
        /// </summary>
        /// <param name="region">Region. Edges can have EdgeConnections.</param>
        /// <param name="meshSize"></param>
        public InternalPanel(Geometry.Region region, double meshSize)
        {
            // set guid
            this.Guid = System.Guid.NewGuid();

            // set other properties
            this.Region   = region;
            this.MeshSize = meshSize;
        }
Esempio n. 5
0
        /// Create TwoWayCover.
        public static Cover TwoWayCover(Geometry.Region region, List <object> supportingStructures, string identifier)
        {
            // get supportingStructures.guid
            CoverReferenceList _supportingStructures = CoverReferenceList.FromObjectList(supportingStructures);

            // create cover
            Cover _cover = new Cover(region, _supportingStructures, null, identifier);

            return(_cover);
        }
Esempio n. 6
0
        /// Create OneWayCover.
        public static Cover OneWayCover(Geometry.Region region, List <object> supportingStructures, Geometry.FdVector3d loadBearingDirection, string identifier)
        {
            // get supportingStructures.guid
            CoverReferenceList _supportingStructures = CoverReferenceList.FromObjectList(supportingStructures);

            // create cover
            Cover _cover = new Cover(region, _supportingStructures, loadBearingDirection, identifier);

            return(_cover);
        }
Esempio n. 7
0
        public static Cover OneWayCover(Autodesk.DesignScript.Geometry.Surface surface, [DefaultArgument("[]")] List <object> supportingStructures, Autodesk.DesignScript.Geometry.Vector loadBearingDirection = null, string identifier = "CO")
        {
            // create FlatSurface
            Geometry.Region region = Geometry.Region.FromDynamo(surface);

            // get loadBearingDirection
            Geometry.FdVector3d _loadBearingDirection = Geometry.FdVector3d.FromDynamo(loadBearingDirection).Normalize();

            // return
            return(Cover.OneWayCover(region, supportingStructures, _loadBearingDirection, identifier));
        }